#pragma once

#include <string>
#include <filesystem>
#include <SimpleIni.h>

namespace fs = std::filesystem;

struct ItemBase {
	std::string ip{};
	int			port{};
	long		cnt{};
	std::string user{};
	std::string pwd{};
};

struct ItemContent
{
	int			id{};
	bool		enable{ false };
	std::string source{};
	std::string des{};
	std::string des_full{};
};

class ConfigOpr
{
public:
	ConfigOpr();
	~ConfigOpr() = default;

public:
	void push(const ItemContent& item);
	bool update(int id, const ItemContent* ptem, bool enable = true);
	long get_count();
	bool get_content(int id, ItemContent& item);
	bool get_base(ItemBase& base);
	bool set_base(const ItemBase& base);

private:
	std::string get_home();
	void generate_default();
	void check_open();
	void save();

private:
	char			ini_path_[512]{};
	CSimpleIniA		ini_{};
};

